GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
departmentId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "07263d57-250e-4510-aaac-d761d5675032",
    "selected_nameplate_id": "c2cc66a6-06e9-4cb8-8c8b-ff22e4183f66",
    "active": true,
    "department_id": "6355a205-09c6-404a-b930-66e3399dd5af",
    "id": "f9492edd-cc9e-4918-b904-e4bd528e2cab",
    "physical_item_id": "d3a150b0-196a-4d56-a172-d56c33b6b800",
    "service_item_id": "e34096b7-66e1-4eb4-9eeb-1e5c1ee167d4",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "07263d57-250e-4510-aaac-d761d5675032",
    "selected_nameplate_id": "c2cc66a6-06e9-4cb8-8c8b-ff22e4183f66",
    "active": true,
    "department_id": "6355a205-09c6-404a-b930-66e3399dd5af",
    "id": "f9492edd-cc9e-4918-b904-e4bd528e2cab",
    "physical_item_id": "d3a150b0-196a-4d56-a172-d56c33b6b800",
    "service_item_id": "e34096b7-66e1-4eb4-9eeb-1e5c1ee167d4",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <department_item>
    <active>true</active>
    <department_id>6355a205-09c6-404a-b930-66e3399dd5af</department_id>
    <id>f9492edd-cc9e-4918-b904-e4bd528e2cab</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>d3a150b0-196a-4d56-a172-d56c33b6b800</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>e34096b7-66e1-4eb4-9eeb-1e5c1ee167d4</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>c2cc66a6-06e9-4cb8-8c8b-ff22e4183f66</selected_nameplate_id>
    <selected_sticker_id>07263d57-250e-4510-aaac-d761d5675032</selected_sticker_id>
  </department_item>
  <department_item>
    <active>true</active>
    <department_id>6355a205-09c6-404a-b930-66e3399dd5af</department_id>
    <id>f9492edd-cc9e-4918-b904-e4bd528e2cab</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>d3a150b0-196a-4d56-a172-d56c33b6b800</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>e34096b7-66e1-4eb4-9eeb-1e5c1ee167d4</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>c2cc66a6-06e9-4cb8-8c8b-ff22e4183f66</selected_nameplate_id>
    <selected_sticker_id>07263d57-250e-4510-aaac-d761d5675032</selected_sticker_id>
  </department_item>
</ArrayOfdepartment_item>